<?php

declare(strict_types=1);

\main_tts\registry::get('di')->register('http_request', function() {
  if (\main_tts\configure::get('http_request', 'use') == 'curl') { 
    return new \tts\services\http_requests\http_curl_request();
  } else {
    return new \tts\services\http_requests\http_socket_request();  
  }
});